
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderreshoprs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for FlightMileageListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="FlightMileageListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Arrival"/&amp;gt;
 *     &amp;lt;enumeration value="Departure"/&amp;gt;
 *     &amp;lt;enumeration value="Destination"/&amp;gt;
 *     &amp;lt;enumeration value="Origin"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "FlightMileageListType")
@XmlEnum
public enum FlightMileageListType {

    @XmlEnumValue("Arrival")
    ARRIVAL("Arrival"),
    @XmlEnumValue("Departure")
    DEPARTURE("Departure"),
    @XmlEnumValue("Destination")
    DESTINATION("Destination"),
    @XmlEnumValue("Origin")
    ORIGIN("Origin"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    FlightMileageListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FlightMileageListType fromValue(String v) {
        for (FlightMileageListType c: FlightMileageListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
